CC = clang
CFLAGS = -O2 -lm -Wall
OBJS := $(patsubst %.o, %, $(wildcard *.c))


.c:
	$(CC) -c -o $@ $<

all: dump2analysis dump2analysis.h

dump2analysis: $(OBJS) dump2analysis.h
	$(CC) $(CFLAGS) $(OBJS) -o $@

install: dump2analysis
	install dump2analysis ~/bin/espresso


clean:
	rm -f *.o dump2analysis

